Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
        GET
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Batches

GET one batch

GET
/clients/{clientno}/batches/{batchuuid}
Get details for one batch with asynchronous treatment

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK. The request succeeded
Body

🟢202
🟢206
🟠406
🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//batches/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get batch status
{
    "clientNo": 2218,
    "batchUuid": "8NlwdOIM1YLVFP9-WOwkYQ",
    "status": "PROCESSED",
    "result": "PARTIAL-SUCCESS",
    "message": "The batch was processed",
    "countNotProcessed": 0,
    "countProcessed": 2,
    "countSuccessful": 1,
    "countFailed": 1,
    "items": [
        {
            "status": "PROCESSED",
            "result": "CREATED",
            "message": "Customer created",
            "clientNo": 2218,
            "accountNo": 500002,
            "customerNo": "543210",
            "warnings": [
                {
                    "field": "organizationNo",
                    "message": "Business ID/organizationNo 987654321 is not a valid business ID (scheme code: 0192)"
                }
            ]
        },
        {
            "status": "PROCESSED",
            "result": "FAILED",
            "message": "NX is not a valid ISO 3166-1 alpha-2 country code",
            "clientNo": 2218,
            "accountNo": 500029,
            "customerNo": "765432",
            "errors": [
                {
                    "field": "countryCode",
                    "message": "NX is not a valid ISO 3166-1 alpha-2 country code"
                }
            ]
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
POST (create) one or more auto postings
Next
GET a list of client config values
Built with